Subject: reloc upheaval

From: Philip Blundell <[email-masked]>
Date: Fri, 09 Apr 1999 16:43:19 +0100

Folks,

I'm about to apply a patch to glibc to bring the ARM reloc numbers in 
<elf.h> in step with those in the latest gas2 snapshot.  For the most part 
this is just a case of adding new definitions, but a few reloc 
assignments have actually been changed.  If this makes no sense to you, it is 
safe to ignore the remainder of this message. :-)

The affected relocs are ABS8, THM_PC22, AMP_VCALL9, THM_PC11, THM_PC9,
GNU_VTINHERIT and GNU_VTENTRY.  No system software that I'm aware of uses 
these relocs but if you have any code of your own that depends on them you 
may need to be careful.  I don't have any plans at the moment to bring 
the binutils 2.9 branch in step with these changes.  The next major release of 
binutils will be based on the new assignments.

Sorry for any inconvenience.

p.

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]